#include <gtk/gtk.h>
#include "window.h"
#include "toolbar.h"
#include "menubar.h"

int main(int argc, char *argv[])
{
  /*GtkWidget *button = NULL;*/
  GtkWidget *win = NULL;
  GtkWidget *vbox1 = NULL;
  GtkWidget *vbox2 = NULL;
  GtkWidget *mbar = NULL;
  GtkWidget *tbar = NULL;
  GtkWidget *vbox3 = NULL;
  GtkWidget *canvas = NULL;
  GtkWidget *hbox1 = NULL;
  GtkWidget *hbox2 = NULL;
  GtkWidget *view = NULL;

  {
    /* Initialize GTK+ */
    g_log_set_handler ("Gtk", G_LOG_LEVEL_WARNING,
					   (GLogFunc) gtk_false, NULL);
    gtk_init (&argc, &argv);
    g_log_set_handler ("Gtk", G_LOG_LEVEL_WARNING,
					   g_log_default_handler, NULL);
  }

  /*Create main window*/
  win = create_window();

  vbox1 = create_vbox(win);

  mbar = create_menubar(vbox1);

  menu(mbar);

  vbox2 = create_vbox(vbox1);

  tbar = create_toolbar(vbox2);

  toolitems(tbar, vbox2);

  //vbox3 = create_vbox(vbox2);

  hbox1 = create_hbox(vbox2);

  create_expander(hbox1);

  hbox2 = create_hbox(hbox1);

  //canvas = create_canvas(hbox2);
  view = create_textview(hbox2);

  /* Enter the main loop */
  gtk_widget_show_all(win);
  gtk_main();
  return 0;
}
