#include <gtk/gtk.h>

void menu(GtkWidget *menubar)
{
/* create a "File" menu */
    GtkWidget *menu1, *menu5, *file_menu, *new_menu, *open_menu, *save_menu;
    GtkWidget *saveas_menu, *sep1, *sep2, *setup_menu, *print_menu, *exit_menu;
    GtkWidget *help_menu, *help2_menu, *about_menu;
	menu1 = gtk_menu_new();
    file_menu = gtk_menu_item_new_with_label("Archivo");
    new_menu = gtk_menu_item_new_with_label("Nuevo");
    gtk_menu_shell_append(GTK_MENU_SHELL(menu1), new_menu);
    open_menu = gtk_menu_item_new_with_label ("Abrir");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), open_menu);
	save_menu = gtk_menu_item_new_with_label ("Guardar");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), save_menu);
    saveas_menu = gtk_menu_item_new_with_label ("Guardar como");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), saveas_menu);
    sep1 = gtk_separator_menu_item_new();
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), sep1);
    setup_menu = gtk_menu_item_new_with_label ("Configurar página");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), setup_menu);
    print_menu = gtk_menu_item_new_with_label ("Imprimir");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), print_menu);
    sep2 = gtk_separator_menu_item_new();
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), sep2);
    exit_menu = gtk_menu_item_new_with_label ("Salir");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu1), exit_menu);
    g_signal_connect(G_OBJECT(exit_menu), "activate",
                     G_CALLBACK(gtk_main_quit), NULL);
    gtk_menu_item_set_submenu (GTK_MENU_ITEM (file_menu), menu1);

    /* create a "Help" menu */
	menu5 = gtk_menu_new();
    help_menu = gtk_menu_item_new_with_label ("Ayuda");
    help2_menu = gtk_menu_item_new_with_label ("Ver la ayuda");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu5), help2_menu);
    about_menu = gtk_menu_item_new_with_label ("Acerca del Bloc de notas");
    gtk_menu_shell_append (GTK_MENU_SHELL (menu5), about_menu);
    gtk_menu_item_set_submenu (GTK_MENU_ITEM (help_menu), menu5);

    gtk_menu_shell_append (GTK_MENU_SHELL (menubar), file_menu);
    gtk_menu_shell_append (GTK_MENU_SHELL (menubar), help_menu);
}
